// ISP_SDK_ExampleDlg.h : header file
//

#if !defined(AFX_ISP_SDK_EXAMPLEDLG_H__AE3E545D_8C25_4C73_98EA_87ABDD4D8DA8__INCLUDED_)
#define AFX_ISP_SDK_EXAMPLEDLG_H__AE3E545D_8C25_4C73_98EA_87ABDD4D8DA8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CISP_SDK_ExampleDlg dialog

class CISP_SDK_ExampleDlg : public CDialog
{
// Construction
public:
	CISP_SDK_ExampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CISP_SDK_ExampleDlg)
	enum { IDD = IDD_ISP_SDK_EXAMPLE_DIALOG };
	CString	m_strDeviceNum;
	CString	m_strModuleNo;
	CString	m_strCCDSize;
	CString	m_strSliceNum;
	CString	m_strSerialNo;
	CString	m_strFrameCnt;
	CString	m_strMax1;
	CString	m_strMax2;
	CString	m_strMax3;
	CString	m_strMaxCCD;
	CString	m_strMin1;
	CString	m_strMin2;
	CString	m_strMin3;
	CString	m_strMinCCD;
	int		m_intAvgNum;
	int		m_intCCDGain;
	int		m_intExpTime;
	int		m_intOptBlack;
	BOOL	m_boolETC;
	CString	m_strFrameTime;
	CString	m_strMaxDarkSub;
	CString	m_strMaxTvR;
	CString	m_strMinDarkSub;
	CString	m_strMinTvR;
	int		m_intPixel;
	CString	m_strWav;
	CString	m_str360;
	CString	m_str555;
	CString	m_str830;
	CString	m_struv;
	CString	m_strxy;
	CString	m_strCCT;
	CString	m_strCRIa;
	CString	m_strMinCalib;
	CString	m_strMaxCalib;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CISP_SDK_ExampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CISP_SDK_ExampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnbtnInitDeviceClick();
	afx_msg void OnbtnModuleNoClick();
	afx_msg void OnbtnAddDeviceClick();
	afx_msg void OnbtnCCDSizeClick();
	afx_msg void OnbtnSliceNumClick();
	afx_msg void OnbtnStartDeviceClick();
	afx_msg void OnbtnStopClick();
	afx_msg void OnbtnRemoveClick();
	afx_msg void OnbtnUnInitClick();
	afx_msg void OnradioWorkModeClick();
	afx_msg void OnradioExtTrigClick();
	afx_msg void OnbtnSetExpTimeClick();
	afx_msg void OnbtnGainClick();
	afx_msg void OnbtnOptBlackClick();
	afx_msg void OnbtnAvgNumClick();
	afx_msg void OncheckETCClick();
	afx_msg void OnbtnGrabOneClick();
	afx_msg void OnbtnGetDataClick();
	afx_msg void OnbtnInstallCallBackClick();
	afx_msg void OnbtnStartGrabClick();
	afx_msg void OnbtnStopGrabClick();
	afx_msg void OnbtnSetDrkClick();
	afx_msg void OnbtnSetRefClick();
	afx_msg void OnbtnGetWavClick();
	afx_msg void OnbtnSpectrumClick();
	afx_msg void OnbtnCIEClick();
	afx_msg void OnbtnCRIClick();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ISP_SDK_EXAMPLEDLG_H__AE3E545D_8C25_4C73_98EA_87ABDD4D8DA8__INCLUDED_)
